## otrplayer 0.1

=== src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Feb 14 17:31:42 2009
# Project:  src.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-lib \
		sub-app

lib//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) lib/ || $(MKDIR) lib/ 
	cd lib/ && $(QMAKE) lib.pro -unix -o $(MAKEFILE)
sub-lib-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) lib/ || $(MKDIR) lib/ 
	cd lib/ && $(QMAKE) lib.pro -unix -o $(MAKEFILE)
sub-lib: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE)
sub-lib-make_default-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) 
sub-lib-make_default: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) 
sub-lib-make_first-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) first
sub-lib-make_first: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) first
sub-lib-all-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) all
sub-lib-all: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) all
sub-lib-clean-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) clean
sub-lib-clean: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) clean
sub-lib-distclean-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-lib-distclean: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-lib-install_subtargets-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) install
sub-lib-install_subtargets: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) install
sub-lib-uninstall_subtargets-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-lib-uninstall_subtargets: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) uninstall
app//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) app/ || $(MKDIR) app/ 
	cd app/ && $(QMAKE) app.pro -unix -o $(MAKEFILE)
sub-app-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) app/ || $(MKDIR) app/ 
	cd app/ && $(QMAKE) app.pro -unix -o $(MAKEFILE)
sub-app: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE)
sub-app-make_default-ordered: app//$(MAKEFILE) sub-lib-make_default-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) 
sub-app-make_default: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) 
sub-app-make_first-ordered: app//$(MAKEFILE) sub-lib-make_first-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) first
sub-app-make_first: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) first
sub-app-all-ordered: app//$(MAKEFILE) sub-lib-all-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) all
sub-app-all: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) all
sub-app-clean-ordered: app//$(MAKEFILE) sub-lib-clean-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) clean
sub-app-clean: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) clean
sub-app-distclean-ordered: app//$(MAKEFILE) sub-lib-distclean-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) distclean
sub-app-distclean: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) distclean
sub-app-install_subtargets-ordered: app//$(MAKEFILE) sub-lib-install_subtargets-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) install
sub-app-install_subtargets: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) install
sub-app-uninstall_subtargets-ordered: app//$(MAKEFILE) sub-lib-uninstall_subtargets-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-app-uninstall_subtargets: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) uninstall

qmake_all: sub-lib-qmake_all sub-app-qmake_all FORCE

make_default: sub-lib-make_default-ordered sub-app-make_default-ordered FORCE
make_first: sub-lib-make_first-ordered sub-app-make_first-ordered FORCE
all: sub-lib-all-ordered sub-app-all-ordered FORCE
clean: sub-lib-clean-ordered sub-app-clean-ordered FORCE
distclean: sub-lib-distclean-ordered sub-app-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-lib-install_subtargets-ordered sub-app-install_subtargets-ordered FORCE
uninstall_subtargets: sub-lib-uninstall_subtargets-ordered sub-app-uninstall_subtargets-ordered FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
