=== src/lib/aflib/Makefile ===
#############################################################################
# Makefile for building: libaflib.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Mar 14 16:49:58 2009
# Project:  aflib.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile aflib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -O2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I.
LINK          = g++
LFLAGS        = -shared -Wl,-soname,libaflib.so.1
LIBS          = $(SUBLIBS)   
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aflibAudioBWFilter.cc \
		aflibAudio.cc \
		aflibAudioFile.cc \
		aflibAudioMixer.cc \
		aflibAudioPitch.cc \
		aflibAudioSampleRateCvt.cc \
		aflibChain.cc \
		aflibChainNode.cc \
		aflibConfig.cc \
		aflibConverter.cc \
		aflibData.cc \
		aflibDateTime.cc \
		aflibEnvFile.cc \
		aflibFFT.cc \
		aflibFile.cc \
		aflibFileItem.cc \
		aflibMemCache.cc \
		aflibMemNode.cc \
		aflibMixerItem.cc 
OBJECTS       = aflibAudioBWFilter.o \
		aflibAudio.o \
		aflibAudioFile.o \
		aflibAudioMixer.o \
		aflibAudioPitch.o \
		aflibAudioSampleRateCvt.o \
		aflibChain.o \
		aflibChainNode.o \
		aflibConfig.o \
		aflibConverter.o \
		aflibData.o \
		aflibDateTime.o \
		aflibEnvFile.o \
		aflibFFT.o \
		aflibFile.o \
		aflibFileItem.o \
		aflibMemCache.o \
		aflibMemNode.o \
		aflibMixerItem.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		aflib.pro
QMAKE_TARGET  = aflib
DESTDIR       = ../../../libs/
TARGET        = libaflib.so.1.0.0
TARGETA       = ../../../libs/libaflib.a
TARGETD       = libaflib.so.1.0.0
TARGET0       = libaflib.so
TARGET1       = libaflib.so.1
TARGET2       = libaflib.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../libs/$(TARGET)

../../../libs/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../libs/ || $(MKDIR) ../../../libs/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../../libs/$(TARGET)
	-$(DEL_FILE) ../../../libs/$(TARGET0)
	-$(DEL_FILE) ../../../libs/$(TARGET1)
	-$(DEL_FILE) ../../../libs/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../../libs/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: aflib.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf
	$(QMAKE) -unix -o Makefile aflib.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile aflib.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aflib1.0.0 || $(MKDIR) .tmp/aflib1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aflib1.0.0/ && (cd `dirname .tmp/aflib1.0.0` && $(TAR) aflib1.0.0.tar aflib1.0.0 && $(COMPRESS) aflib1.0.0.tar) && $(MOVE) `dirname .tmp/aflib1.0.0`/aflib1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aflib1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../../libs/$(TARGET) 
	-$(DEL_FILE) ../../../libs/$(TARGET0) ../../../libs/$(TARGET1) ../../../libs/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


compiler_clean: 

####### Compile

aflibAudioBWFilter.o: aflibAudioBWFilter.cc aflibAudioBWFilter.h \
		aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioBWFilter.o aflibAudioBWFilter.cc

aflibAudio.o: aflibAudio.cc aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibAudioMixer.h \
		aflibMixerItem.h \
		aflibData.h \
		aflibAudioSampleRateCvt.h \
		aflibConverter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudio.o aflibAudio.cc

aflibAudioFile.o: aflibAudioFile.cc aflibAudioFile.h \
		aflib.h \
		aflibAudio.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibFile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioFile.o aflibAudioFile.cc

aflibAudioMixer.o: aflibAudioMixer.cc aflibAudioMixer.h \
		aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibMixerItem.h \
		aflibData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioMixer.o aflibAudioMixer.cc

aflibAudioPitch.o: aflibAudioPitch.cc aflibAudioPitch.h \
		aflibAudioSampleRateCvt.h \
		aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibConverter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioPitch.o aflibAudioPitch.cc

aflibAudioSampleRateCvt.o: aflibAudioSampleRateCvt.cc aflibAudioSampleRateCvt.h \
		aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibConverter.h \
		aflibData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioSampleRateCvt.o aflibAudioSampleRateCvt.cc

aflibChain.o: aflibChain.cc aflibChain.h \
		aflib.h \
		aflibChainNode.h \
		aflibAudio.h \
		aflibMemCache.h \
		aflibConfig.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibChain.o aflibChain.cc

aflibChainNode.o: aflibChainNode.cc aflibChainNode.h \
		aflib.h \
		aflibAudio.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibChainNode.o aflibChainNode.cc

aflibConfig.o: aflibConfig.cc aflibConfig.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibConfig.o aflibConfig.cc

aflibConverter.o: aflibConverter.cc aflibConverter.h \
		aflibConverterLargeFilter.h \
		aflibConverterSmallFilter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibConverter.o aflibConverter.cc

aflibData.o: aflibData.cc aflibData.h \
		aflibConfig.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibData.o aflibData.cc

aflibDateTime.o: aflibDateTime.cc aflib.h \
		aflibDateTime.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibDateTime.o aflibDateTime.cc

aflibEnvFile.o: aflibEnvFile.cc aflibEnvFile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibEnvFile.o aflibEnvFile.cc

aflibFFT.o: aflibFFT.cc aflibFFT.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibFFT.o aflibFFT.cc

aflibFile.o: aflibFile.cc aflibFile.h \
		aflib.h \
		aflibConfig.h \
		aflibFileItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibFile.o aflibFile.cc

aflibFileItem.o: aflibFileItem.cc aflibFileItem.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibFileItem.o aflibFileItem.cc

aflibMemCache.o: aflibMemCache.cc aflibMemCache.h \
		aflibMemNode.h \
		aflib.h \
		aflibData.h \
		aflibConfig.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibMemCache.o aflibMemCache.cc

aflibMemNode.o: aflibMemNode.cc aflibMemNode.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibMemNode.o aflibMemNode.cc

aflibMixerItem.o: aflibMixerItem.cc aflibMixerItem.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibMixerItem.o aflibMixerItem.cc

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/ 
	-$(INSTALL_PROGRAM) "../../../libs/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:
