=== src/lib/ogg/Makefile ===
#############################################################################
# Makefile for building: libaflibOggFile.so
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Mar 14 16:49:58 2009
# Project:  ogg.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile ogg.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -fsigned-char -D_REENTRANT -DUSE_MEMORY_H -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -O2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I. -Ivorbis -I../aflib
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)   
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aflibOggFile.cc \
		vorbis/bitwise.c \
		vorbis/floor0.c \
		vorbis/info.c \
		vorbis/mdct.c \
		vorbis/sharedbook.c \
		vorbis/window.c \
		vorbis/block.c \
		vorbis/floor1.c \
		vorbis/ivorbisfile_example.c \
		vorbis/registry.c \
		vorbis/synthesis.c \
		vorbis/codebook.c \
		vorbis/framing.c \
		vorbis/mapping0.c \
		vorbis/res012.c \
		vorbis/vorbisfile.c 
OBJECTS       = aflibOggFile.o \
		bitwise.o \
		floor0.o \
		info.o \
		mdct.o \
		sharedbook.o \
		window.o \
		block.o \
		floor1.o \
		ivorbisfile_example.o \
		registry.o \
		synthesis.o \
		codebook.o \
		framing.o \
		mapping0.o \
		res012.o \
		vorbisfile.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		ogg.pro
QMAKE_TARGET  = aflibOggFile
DESTDIR       = ../../../libs/
TARGET        = libaflibOggFile.so
TARGETD       = libaflibOggFile.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../libs/$(TARGET)

../../../libs/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../libs/ || $(MKDIR) ../../../libs/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../libs/



Makefile: ogg.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf
	$(QMAKE) -unix -o Makefile ogg.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ogg.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aflibOggFile1.0.0 || $(MKDIR) .tmp/aflibOggFile1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aflibOggFile1.0.0/ && (cd `dirname .tmp/aflibOggFile1.0.0` && $(TAR) aflibOggFile1.0.0.tar aflibOggFile1.0.0 && $(COMPRESS) aflibOggFile1.0.0.tar) && $(MOVE) `dirname .tmp/aflibOggFile1.0.0`/aflibOggFile1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aflibOggFile1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


compiler_clean: 

####### Compile

aflibOggFile.o: aflibOggFile.cc vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbisfile.h \
		aflibOggFile.h \
		../aflib/aflibFile.h \
		../aflib/aflib.h \
		../aflib/aflibConfig.h \
		../aflib/aflibData.h \
		../aflib/aflibFileItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibOggFile.o aflibOggFile.cc

bitwise.o: vorbis/bitwise.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o bitwise.o vorbis/bitwise.c

floor0.o: vorbis/floor0.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h \
		vorbis/lsp_lookup.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o floor0.o vorbis/floor0.c

info.o: vorbis/info.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/window.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o info.o vorbis/info.c

mdct.o: vorbis/mdct.c vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/os.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/mdct.h \
		vorbis/mdct_lookup.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o mdct.o vorbis/mdct.c

sharedbook.o: vorbis/sharedbook.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/os.h \
		vorbis/misc.h \
		vorbis/ivorbiscodec.h \
		vorbis/asm_arm.h \
		vorbis/codebook.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o sharedbook.o vorbis/sharedbook.c

window.o: vorbis/window.c vorbis/os.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/misc.h \
		vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/asm_arm.h \
		vorbis/window.h \
		vorbis/window_lookup.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o window.o vorbis/window.c

block.o: vorbis/block.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/window.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o block.o vorbis/block.c

floor1.o: vorbis/floor1.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o floor1.o vorbis/floor1.c

ivorbisfile_example.o: vorbis/ivorbisfile_example.c vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbisfile.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o ivorbisfile_example.o vorbis/ivorbisfile_example.c

registry.o: vorbis/registry.c vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o registry.o vorbis/registry.c

synthesis.o: vorbis/synthesis.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o synthesis.o vorbis/synthesis.c

codebook.o: vorbis/codebook.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codebook.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o codebook.o vorbis/codebook.c

framing.o: vorbis/framing.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/misc.h \
		vorbis/ivorbiscodec.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o framing.o vorbis/framing.c

mapping0.o: vorbis/mapping0.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/mdct.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/window.h \
		vorbis/registry.h \
		vorbis/backends.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o mapping0.o vorbis/mapping0.c

res012.o: vorbis/res012.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o res012.o vorbis/res012.c

vorbisfile.o: vorbis/vorbisfile.c vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbisfile.h \
		vorbis/os.h \
		vorbis/misc.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o vorbisfile.o vorbis/vorbisfile.c

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/aflib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/aflib/ 
	-$(INSTALL_PROGRAM) "../../../libs/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/aflib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:
