=== debian/changelog ===
otrplayer (0.1) unstable; urgency=low

  * Initial release 

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 14 Feb 2009 17:38:49 -0800
